use crate::delaunay::Delaunay;

pub struct Point {
    pub x: f64,
    pub y: f64,
}

pub struct Mesh {
    pub points: Vec<Point>,
}

impl Mesh {
    pub fn new() -> Mesh {
        Mesh { points: vec![] }
    }

    pub fn delaunay<'a>(&'a self) -> Delaunay<'a> {
        Delaunay { mesh: self }
    }
}
